#!/bin/bash

function Swap(){
	a=$1[@]
	echo "POLSKA"
	echo ${a[@]}
}

#Tworzenie tablicy:
arr=(10 20 30 40 50 60 70)

echo "Pozycje i elementy wszystkie:"
echo ${!arr[@]}
echo ${arr[@]}

#Liczba elementów tablicy:
echo "Liczba elementow w tablicy:"
echo ${#arr[@]}

#Wypisanie całej tablicy:
echo "Wypisanie calej tablicy"
echo ${arr[@]}

#Wypisanie elementu o danym wskazniku:
echo ${arr[0]}
echo ${arr[1]}

#Zamiana elementu o danym wskazniku:
arr[0]=10
arr[1]=20

for i in ${arr[@]}
do
	echo $i
done

#Dodanie nowego elementu:
let arr[${#arr[@]}+1]=${#arr[@]}+1

for i in ${arr[@]}
do
	echo $i
done

#Usunięcie jakiegoś elementu:
unset arr[0]

for i in {1..5}
do
	unset arr[$i]
done

#Wielowymiarowa tablica:
#$tab=(1,2,3),(4,5,6),(7,8,9)

x=(1 2 3)
y=(4 5 6)
z=(7 8 9)
a=(x y z)

Swap arr
